cURL
curl --request POST \ --url https://api.enkryptai.com/guardrails/guardrail/scan-pdf \ --header 'Content-Type: application/json' \ --header 'X-Enkrypt-Guardrail: <x-enkrypt-guardrail>' \ --header 'X-Enkrypt-Mode: <x-enkrypt-mode>' \ --header 'apikey: <api-key>' \ --data ' { "file": "<string>" } '
{ "summary": {}, "details": { "total_pages": 123, "pages_with_detections": 123, "detections": [ {} ] } }
Scan a PDF for security threats using a saved guardrail
The guardrail name
"My Guardrail"
Whether to apply input (prompt) or output (response) detectors
prompt
response
"prompt"
Base64-encoded PDF file content.
Scan results for the provided PDF using the specified guardrail.
Summary counts of detections by detector type.
Show child attributes
Detailed scan results including page-level information.